Bug 212813 - 'Unable to read versionlock.list' on pirut startup
'Unable to read versionlock.list' on pirut startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 04:37 EST by Wouter Lamée
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 06:48:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wouter Lamée 2006-10-29 04:37:33 EST
Description of problem:
I am adding many new RPMs with pirut (menu Applications -> Add/Remove software).
In order keep the amount of RPMs I'm adding not to big, I select 20 to 40 RPMs,
install, and then restart pirut via the above-mentioned menu option.
In the 3rd run (or so), halfway "Retrieving software information" I get an
"Exception Occurred" window, with the following content:

---------------------------------------------------------------
Component: Software Manager
Summary: TBfef41469 versionlock.py:45:exclude_hook:PluginYumExit: Unable to read
version lock configuration: [Errno 5] OSError: [Errno 2] No such file or
directory: '/etc/yum/pluginconf.d/versionlock.list'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 390, in ?
    main()
  File "/usr/sbin/pirut", line 386, in main
    pm.run()
  File "/usr/sbin/pirut", line 299, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 310, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 154, in reposSetup
    self.doSackSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 299, in doSackSetup
    self.plugins.run('exclude')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 164, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/versionlock.py", line 45, in exclude_hook
    raise PluginYumExit('Unable to read version lock configuration: %s' % e)
PluginYumExit: Unable to read version lock configuration: [Errno 5] OSError:
[Errno 2] No such file or directory: '/etc/yum/pluginconf.d/versionlock.list'

Local variables in innermost frame:
conduit: <yum.plugins.MainPluginConduit instance at 0x33aaa328>
e: [Errno 5] OSError: [Errno 2] No such file or directory:
'/etc/yum/pluginconf.d/versionlock.list'
locklist: []
location: /etc/yum/pluginconf.d/versionlock.list
---------------------------------------------------------------

After selecting "Quit" in the "Exception Occurred" window and restarting it
(either from menu or shell), the same Exception happens every time. It seems I
can not run pirut any more without getting this Exception. As the exception
happens in the startup procedure, I can not use pirut any more.

Version-Release number of selected component (if applicable):
I can not determine the pirut version number. Running "pirut -h" does not show
an option to display pirut's version number, and "yum info pirut" in a shell
results in:

"Unable to read version lock configuration: [Errno 5] OSError: [Errno 2] No such
file or directory: '/etc/yum/pluginconf.d/versionlock.list'"

After creating a 0-byte file called '/etc/yum/pluginconf.d/versionlock.list'
with the 'touch' command, the 'Package Manager' window comes up as usual again.
In the 'Help -> About' window it simply says "Package Manager, 2005 Red Hat,
Inc.". After having created this 0-byte file, package installations seem to work
again.
Comment 1 Wouter Lamée 2006-10-29 08:10:02 EST
Guess what - this happened after I installed an RPM called "yum-versionlock" ...
Comment 2 Jeremy Katz 2006-10-30 13:39:13 EST
Yes, the versionlock plugin should include a default config
Comment 3 Mike Licina 2006-11-23 00:21:53 EST
I have the same issue on my system.  How can I create a versionlock.list file to
avoid this problem?
Comment 4 Wouter Lamée 2006-11-26 12:39:28 EST
Maybe you can simply do what I described in my first email, and do

touch /etc/yum/pluginconf.d/versionlock.list

which creates a 0-byte file with the correct filename in the correct place. Or
are you looking for a solution that is not a work-around for the problem (in
that case, I don't know)?
Comment 5 Tim Lauridsen 2007-02-14 06:48:05 EST
I have added a default /etc/yum/pluginconf.d/versionlock.list to upstream CVS.
It will be available in next yum-utils release. 

Note You need to log in before you can comment on or make changes to this bug.